Subject: bug#70161: closed (Re: [bug#70161] [PATCH 0/2] gnu: tomlc99: Update to 1.0-1.5221b3d.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 30 Apr 2024 20:05:01 +0000

Your bug report

#70161: [PATCH 0/2] gnu: tomlc99: Update to 1.0-1.5221b3d.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70161: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70161
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#70161] [PATCH 0/2] gnu: tomlc99: Update to 1.0-1.5221b3d.
From: Christopher Baines <[email-masked]>
To: Jean-Pierre De Jesus DIAZ <[email-masked]>
Cc: [email-masked]
Date: Tue, 30 Apr 2024 21:04:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Jean-Pierre De Jesus DIAZ <[email-masked]> writes:

> This updates the tomlc99 library to 1.0-1.5221b3d.
>
> I've reviewed the last 2 commits since the last packaged version and it
> seems only to fix the toml_json binary which are not installed and to
> format the files with clang-format.
>
> It install the pkg-config files too.
>
> Jean-Pierre De Jesus DIAZ (2):
>   gnu: tomlc99: Update to 1.0-1.5221b3d.
>   gnu: tomlc99: Install pkg-config file.
>
>  gnu/packages/c.scm | 41 +++++++++++++++++++++++++++--------------
>  1 file changed, 27 insertions(+), 14 deletions(-)

Thanks for the patches, I've pushed these to master as
91647ba87b065dd054f3b38a4aea2de33f2e12a7.

Chris

Subject: [PATCH 0/2] gnu: tomlc99: Update to 1.0-1.5221b3d.
From: Jean-Pierre De Jesus DIAZ <[email-masked]>
To: [email-masked]
Cc: Jean-Pierre De Jesus DIAZ <[email-masked]>
Date: Wed, 3 Apr 2024 13:19:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This updates the tomlc99 library to 1.0-1.5221b3d.

I've reviewed the last 2 commits since the last packaged version and it
seems only to fix the toml_json binary which are not installed and to
format the files with clang-format.

It install the pkg-config files too.

Jean-Pierre De Jesus DIAZ (2):
  gnu: tomlc99: Update to 1.0-1.5221b3d.
  gnu: tomlc99: Install pkg-config file.

 gnu/packages/c.scm | 41 +++++++++++++++++++++++++++--------------
 1 file changed, 27 insertions(+), 14 deletions(-)

base-commit: 1dbe492b993a7629df3b35146ce0272b52913776
-- 
2.41.0